Ga naar hoofdinhoud

Product Category Endpoints

Manage product categories for e-commerce features.

Base Path​

/api/product-category

Endpoints​

List Categories​

GET /api/product-category
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
pagenumberPage number
limitnumberItems per page
namestringFilter by name

Create Category​

POST /api/product-category
Authorization: Bearer {token}
{
"name": "Electronics",
"description": "Electronic products and accessories",
"imageUrl": "https://example.com/electronics.png"
}

Update Category​

PUT /api/product-category/:id
Authorization: Bearer {token}

Delete Category​

DELETE /api/product-category/:id
Authorization: Bearer {token}

Category Translations​

PUT /api/product-category/:id/translations
Authorization: Bearer {token}
{
"languageCode": "es",
"name": "ElectrΓ³nica",
"description": "Productos electrΓ³nicos y accesorios"
}